Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.el
Class TilesContextBeanELResolver

    java.lang.Object
      javax.el.ELResolver
          org.apache.tiles.el.TilesContextBeanELResolver

Direct Known Subclasses:
  TilesContextBeanELResolver

    public class TilesContextBeanELResolver

extends javax.el.ELResolver

Resolves beans in request, session and application scope.

Since:
  2.2.1
Version:
  $Rev: 816924 $ $Date: 2009-09-19 15:45:40 +0200 (sab, 19 set 2009) $

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`TilesContextBeanELResolver()`

Method Summary
`protected void` | `collectBeanInfo(java.util.Map<java.lang.String,? extends java.lang.Object> map, java.util.List<java.beans.FeatureDescriptor> list)` Collects bean infos from a map's values and filling a list.
`protected java.lang.Object` | `findObjectByProperty(javax.el.ELContext context, java.lang.Object property)` Finds an object in request, session or application scope, in this order.
`java.lang.Class<?>` | `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`protected java.lang.Object` | `getObject(java.util.Map<java.lang.String,? extends java.lang.Object> map, java.lang.String property)` Returns an object from a map in a null-safe manner.
`java.lang.Class<?>` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesContextBeanELResolver

    public TilesContextBeanELResolver()

Method Detail

### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType(javax.el.ELContext context,
                                                    java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.el.ELResolver`

### collectBeanInfo

    protected void collectBeanInfo(java.util.Map<java.lang.String,? extends java.lang.Object> map,
                                   java.util.List<java.beans.FeatureDescriptor> list)

  Collects bean infos from a map's values and filling a list.

  Parameters:
    `map` - The map containing the bean to be inspected.
    `list` - The list to fill.
  Since:
    2.2.1

### findObjectByProperty

    protected java.lang.Object findObjectByProperty(javax.el.ELContext context,
                                                    java.lang.Object property)

  Finds an object in request, session or application scope, in this order.

  Parameters:
    `context` - The context to use.
    `property` - The property used as an attribute name.
  Returns:
    The found bean, if it exists, or `null` otherwise.
  Since:
    2.2.1

### getObject

    protected java.lang.Object getObject(java.util.Map<java.lang.String,? extends java.lang.Object> map,
                                         java.lang.String property)

  Returns an object from a map in a null-safe manner.

  Parameters:
    `map` - The map to use.
    `property` - The property to use as a key.
  Returns:
    The object, if present, or `null` otherwise.
  Since:
    2.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.